Name:    gwenview
Summary: An image viewer
Version: 23.08.4
Release:    1%{?dist}

License: GPL-2.0-or-later
URL:     https://www.kde.org/applications/graphics/gwenview/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

%global majmin_ver %(echo %{version} | cut -d. -f1,2)



BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-baloo-devel
BuildRequires: kf5-kactivities-devel
BuildRequires: kf5-kdelibs4support-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-libkdcraw-devel
BuildRequires: kf5-libkipi-devel
BuildRequires: libappstream-glib
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(exiv2)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(cfitsio)
BuildRequires: pkgconfig(phonon4qt5)
BuildRequires: pkgconfig(Qt5DBus) pkgconfig(Qt5Widgets) pkgconfig(Qt5Script) pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Concurrent) pkgconfig(Qt5Svg) pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: cmake(kColorPicker)
BuildRequires: cmake(kImageAnnotator)

BuildRequires: qt5-qtbase-private-devel
BuildRequires: qt5-qtwayland-devel
BuildRequires: wayland-protocols-devel

Requires: %{name}-libs = %{version}-%{release}

Recommends: qt5-qtimageformats
Recommends: kf5-kimageformats

Conflicts: kdegraphics < 7:4.6.95-10

Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package  libs
Summary:  Runtime files for %{name}
License:  IJG and LGPLv2+ and GPLv2+ and LGPLv2 or LGPLv3
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.gwenview.appdata.xml
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.gwenview.desktop


%files -f %{name}.lang
%license COPYING
%{_kf5_bindir}/gwenview
%{_kf5_bindir}/gwenview_importer
%{_kf5_datadir}/applications/org.kde.gwenview.desktop
%{_kf5_datadir}/applications/org.kde.gwenview_importer.desktop
%{_kf5_datadir}/gwenview/
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/kconf_update/gwenview*
%{_kf5_datadir}/qlogging-categories5/gwenview.categories
%{_kf5_datadir}/solid/actions/gwenview_importer*.desktop
%{_kf5_metainfodir}/org.kde.gwenview.appdata.xml


%files libs
%{_kf5_libdir}/libgwenviewlib.so.*
%{_kf5_plugindir}/parts/gvpart.so
%{_kf5_plugindir}/kfileitemaction/slideshowfileitemaction.so
%{_kf5_datadir}/kservices5/gvpart.desktop


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
